/* nbbqvio.h */

#define A32                  0x09
#define A24                  0x39
#define A16                  0x29
#define A32BLK               0x0b
#define A24BLK               0x3b

#define NBBQVIO_AMSR_I    10
#define NBBQVIO_READ16_I  11
#define NBBQVIO_READ32_I  12
#define NBBQVIO_WRITE16_I 13
#define NBBQVIO_WRITE32_I 14
#define NBBQVIO_DMAR16_I  15
#define NBBQVIO_DMAR32_I  16
#define NBBQVIO_DMAW16_I  17
#define NBBQVIO_DMAW32_I  18

extern int init_nbbqvio_i(int dn);
extern int release_nbbqvio_i(void);
extern unsigned short vme_read16_i(unsigned long addr,int dn);
extern unsigned long vme_read32_i(unsigned long addr, int dn);
extern int vme_read_i(unsigned long addr, unsigned short *val, int dn);
extern int vme_write_i(unsigned long addr,unsigned short *val, int dn);
extern int vme_write16_i(unsigned long addr, unsigned short val, int dn);
extern int vme_write32_i(unsigned long addr, unsigned long val, int dn);
extern int vme_amsr_i(unsigned long val, int dn);
